<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  exclude-result-prefixes="xs"
  version="2.0">
  
  <xsl:variable name="filename">../Sources/fechner.txt</xsl:variable>
  
  <xsl:variable name="plain-source" select="unparsed-text($filename)"/>
  
  <xsl:template match="/" name="start">
    <xsl:variable name="lines" select="tokenize($plain-source,'&#xA;|&#xD;&#xD;?')"/>
    <!-- $lines contains the entire text, split at line endings 
    defined as LF, CR or CR/LF -->
    <doc>
    <xsl:for-each select="$lines">
      <l>
        <xsl:value-of select="."/>
      </l>
    </xsl:for-each>
    </doc>
  </xsl:template>
  
</xsl:stylesheet>